## org.firebirdsql.jdbc
Class FBSavepoint

    java.lang.Object
      org.firebirdsql.jdbc.AbstractSavepoint
          org.firebirdsql.jdbc.FBSavepoint

All Implemented Interfaces:
  Savepoint, FirebirdSavepoint

    public class FBSavepoint

extends AbstractSavepoint
implements Savepoint

Savepoint implementation.

Author:
  Roman Rokytskyy

Field Summary

Fields inherited from class org.firebirdsql.jdbc.AbstractSavepoint
`SAVEPOINT_ID_PREFIX`

Constructor Summary
`FBSavepoint(int id)`
`FBSavepoint(String name)`

Method Summary

Methods inherited from class org.firebirdsql.jdbc.AbstractSavepoint
`equals, getSavepointId, getSavepointName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Savepoint
`getSavepointId, getSavepointName`

Constructor Detail

### FBSavepoint

    public FBSavepoint(int id)

### FBSavepoint

    public FBSavepoint(String name)

Copyright © 2001-2010. All Rights Reserved.